﻿// See https://aka.ms/new-console-template for more information
using EntityFramework;

using( var context = new LoLDbContext())
{
    context.Add(new ChampionEntity("test","test","test") );
    context.SaveChanges();

    ChampionEntity champ = context.Find<ChampionEntity>(1);

    if( champ != null)
    {
    Console
        .WriteLine(champ.ToString());

    }
    else
    {
        Console.WriteLine("Not Found");
    }

    //Test BDD Skills
    ChampionEntity champSkill = new ChampionEntity("nomSkill", "bioSkill", "iconSkill");

    SkillEntity s1 = new SkillEntity("Skill1", "desc", SkillType.Unknown);
    SkillEntity s2 = new SkillEntity("Skill2", "desc2", SkillType.Ultimate);
    SkillEntity s3 = new SkillEntity("Skill3", "desc3", SkillType.Passive);

    champSkill.AddSkill(s1);
    champSkill.AddSkill(s2);
    champSkill.AddSkill(s3);

    context.Add(champSkill);
    
    context.SaveChanges();

}
